Subject: [CCAMP] FW: I-D Action: draft-ietf-ccamp-gmpls-general-constraints-ospf-te-07.txt

From: Leeyoung <[email-masked]>
Date: Wed, 5 Feb 2014 21:57:32 +0000

Hi Lou, 

This draft has passed WG's chair's go-ahead stage, ready for IESG evaluation. 

Regards,
Young

-----Original Message-----
From: CCAMP [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Wednesday, February 05, 2014 3:56 PM
To: [email-masked]
Cc: [email-masked]
Subject: [CCAMP] I-D Action: draft-ietf-ccamp-gmpls-general-constraints-ospf-te-07.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Common Control and Measurement Plane Working Group of the IETF.

        Title           : OSPF-TE Extensions for General Network Element Constraints
        Authors         : Fatai Zhang
                          Young Lee
                          Jianrui Han
                          Greg Bernstein
                          Yunbin Xu
	Filename        : draft-ietf-ccamp-gmpls-general-constraints-ospf-te-07.txt
	Pages           : 13
	Date            : 2014-02-05

Abstract:
   Generalized Multiprotocol Label Switching (GMPLS) can be used to
   control a wide variety of technologies including packet switching
   (e.g., MPLS), time-division (e.g., SONET/SDH, Optical Transport
   Network (OTN)), wavelength (lambdas), and spatial switching (e.g.,
   incoming port or fiber to outgoing port or fiber). In some of these
   technologies, network elements and links may impose additional
   routing constraints such as asymmetric switch connectivity, non-
   local label assignment, and label range limitations on links. This
   document describes Open Shortest Path First (OSPF) routing protocol
   extensions to support these kinds of constraints under the control
   of GMPLS.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-ccamp-gmpls-general-constraints-ospf-te/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-ccamp-gmpls-general-constraints-ospf-te-07

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-ccamp-gmpls-general-constraints-ospf-te-07

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
CCAMP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ccamp

---

From: Leeyoung <[email-masked]>
Date: Thu, 6 Feb 2014 23:25:12 +0000

Hi,

This summarizes the changes made since WG LC:

- All abbreviations are spelled out before its first usage (general).
- Adding a paragraph that clarifies the relationship between this draft and GEN-Encode (in the introduction)
- Dropped the use of a new top-level TLV (Generic Node Attribute TLV). Instead the Node Attribute TLV (existing) was used. 
- In Section 5.2, added a text that deals with malformed TLV's: 
       "In case where the new sub-TLVs or their attendant encodings are  
       malformed, the proper action would be to log the problem and ignore  
       just the sub-TLVs in GMPLS path computations rather than ignoring  
       the entire LSA."  
                        
- Security Section added: 
       "For general security aspects relevant to Generalized Multiprotocol  
       Label Switching (GMPLS)-controlled networks, please refer to  
       [RFC5920]."
- IANA Consideration Section, suggested type-values were specified for the new TLV's introduced. 
- Many editorials.

Attached is the diff marked between 05 and 07. 

Thanks,
Young

-----Original Message-----
From: Lou Berger [mailto:[email-masked]] 
Sent: Wednesday, February 05, 2014 5:04 PM
To: Leeyoung
Cc: [email-masked]
Subject: Re: FW: [CCAMP] I-D Action: draft-ietf-ccamp-gmpls-general-constraints-ospf-te-07.txt

Young,

Can you summarize the changes that have been made since WG LC?

Thank you,
Lou